# Class CIM_NextServiceAfterClassifierElement
extends CIM_NextService

An association used to establish a predecessor-successor relationship between a single ClassifierElement (within a ClassifierService) and the next ConditioningService object that further processes the selected traffic. Note that the cardinalities indicate that a FollowingService MUST be defined, after the ClassifierElement. This is because there is no reason to classify traffic unless further processing will be done.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_NextService
|
+--CIM_NextServiceAfterClassifierElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

An association used to establish a predecessor-successor relationship between a single ClassifierElement (within a ClassifierService) and the next ConditioningService object that further processes the selected traffic. Note that the cardinalities indicate that a FollowingService MUST be defined, after the ClassifierElement. This is because there is no reason to classify traffic unless further processing will be done.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
FollowingService | CIM_NextServiceAfterClassifierElement | CIM_ConditioningService
PrecedingService | CIM_NextServiceAfterClassifierElement | CIM_ClassifierElement

## Class Methods